vector-builder-0.3.8.6: Vector builder

Safe Haskell | None
Language | Haskell2010

VectorBuilder.MVector

Description

Extensions to the standard mutable Vector API.

Synopsis

- build :: MVector vector element => Builder element -> ST s (vector s element)

# Documentation

build :: MVector vector element => Builder element -> ST s (vector s element) Source #

Construct a mutable vector from a builder.

Supports all kinds of vectors: boxed, unboxed, primitive, storable.